
using CloudBuilder.Core.Service;
using CloudBuilder.Security.Data;
using CloudBuilder.Security.Entity;
using CloudBuilder.Security.SearchCriteria;
using Microsoft.AspNetCore.Mvc;

namespace CloudBuilder.Security.Service
{
    public interface ISecurityPermissionService : IServiceBase<SecurityPermissionData, string, SecurityPermissionSearchCriteria>
    {
        SecurityPermissionResultData FindDependentBySearchCriteria(SecurityPermissionSearchCriteria tc);
        SecurityPermissionResultData FindBySearchCriteria(SecurityPermissionSearchCriteria tc);
        dynamic PrintBySearchCriteria(SecurityPermissionSearchCriteria tc);
        SecurityPermissionResultData FindDependentsBySearchCriteria(SecurityPermissionSearchCriteria criteria);

        void Deletes(string[] keys);
    }
}
